Package org.eclipse.draw2d

# Class ActionEvent

java.lang.Object
java.util.EventObject
org.eclipse.draw2d.ActionEvent

All Implemented Interfaces:
  `Serializable`

public class ActionEvent extends EventObject
An event that occurs as a result of an action being performed.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`ActionEvent(Object source)`
Constructs a new ActionEvent with source as the source of the event.
`ActionEvent(Object source, String name)`
Constructs a new ActionEvent with source as the source of the event and name as the name of the action that was performed.

## Method Summary

Modifier and Type
Method
Description
`String`
`getActionName()`
Returns the name of the action that was performed.

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ActionEvent

public ActionEvent(Object source)
Constructs a new ActionEvent with source as the source of the event.

Parameters:
  `source` - The source of the event

### ActionEvent

public ActionEvent(Object source, String name)
Constructs a new ActionEvent with source as the source of the event and name as the name of the action that was performed.

Parameters:
  `source` - The source of the event
  `name` - The name of the action

## Method Details

### getActionName

public String getActionName()
Returns the name of the action that was performed.

Returns:
  String The name of the action